\ProvidesPackage{beamerthemeKTU}[2016/05/20]

\definecolor{CAlt}{RGB}{0,0,0}
\definecolor{CMain}{RGB}{88,89,91}
 
\useoutertheme[width=.15\paperwidth]{sidebar}
\setlength{\beamer@headheight}{.165\paperheight}
\setbeamertemplate{sidebar left}{%
\vskip 7pt
\insertverticalnavigation{\beamer@sidebarwidth}%
}

\setbeamertemplate{footline}[text line]{%
\insertshortauthor\strut\hfill\insertshorttitle\hfill\insertshortdate\hspace{1em}\insertframenumber/\inserttotalframenumber}

\addtobeamertemplate{frametitle}{}{%
\begin{pgfpicture}
\pgf@relevantforpicturesizefalse
\pgftransformxshift{-\Gm@lmargin}
\pgftransformyshift{\beamer@headheight+18pt}
\pgfpathmoveto{\pgfpoint{.15\paperwidth}{0pt}}
\pgfpathlineto{\pgfpoint{.15\paperwidth}{-\beamer@headheight}}
\pgfsetlinewidth{3.5pt}
\pgfsetinnerlinewidth{1pt}
\pgfsetinnerstrokecolor{CAlt}
\pgfsetcolor{white}
\pgfusepath{stroke}
\pgfpathmoveto{\pgfpoint{.15\paperwidth}{-.23\paperheight}}
\pgfpathlineto{\pgfpoint{.15\paperwidth}{-.97\paperheight}}
\pgfsetlinewidth{1pt}
\pgfsetinnerlinewidth{0pt}
\pgfsetcolor{CAlt}
\pgfusepath{stroke}
\pgftext[at=\pgfpoint{.075\paperwidth}{-.15\paperheight},center,base]{\includegraphics[width=.09\textwidth]{../doc/conf/ktu_white}}
\end{pgfpicture}%
\vskip-25pt%
}

\addtobeamertemplate{title page}{%
\usebeamertemplate{title background}%
\vskip .2\paperheight%
}
{}

\newcommand\DoMainBackground{%
\pgfpathmoveto{\pgfpointorigin}
\pgfpathrectanglecorners{\pgfpoint{0pt}{0pt}}{\pgfpoint{\paperwidth}{-\paperheight}}
\pgfsetfillcolor{CMain}
\pgfusepath{fill}
}

\setbeamertemplate{title background}{%
\begin{pgfpicture}
\pgf@relevantforpicturesizefalse
\pgftransformxshift{-\Gm@lmargin}
\pgftransformyshift{5.5pt}
\pgfusepath{fill}
\DoMainBackground
\end{pgfpicture}%
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Inner Theme
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\useinnertheme{rectangles}
\setbeamertemplate{navigation symbols}{}

\setlength{\leftmargini}{.5em}
\setlength{\leftmarginii}{1.0em}
\setlength{\leftmarginiii}{1.5em}
\setlength{\leftmarginiv}{2.0em}
\setlength{\leftmarginv}{2.5em}
\setlength{\leftmarginvi}{3.0em}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Colours
%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usecolortheme[named=CMain]{structure}
%\usecolortheme{rose}
%\setbeamercolor{title page}{fg=black}
%\setbeamercolor{logo}{bg=CMain}
\setbeamercolor{frametitle}{fg=white,bg=CMain}
\setbeamerfont{section in sidebar}{series=\bfseries}
\setbeamercolor{section in sidebar shaded}{fg=CMain}
%\setbeamercolor{subsection in sidebar shaded}{fg=CMain}
%\setbeamercolor{block title}{bg=CMain!28!white,fg=CMain}
%\setbeamercolor{block body}{bg=CAlt!15!white}

\newcommand\ThankYouFrame{
\begin{frame}[plain,t]
\begin{pgfpicture}
\pgf@relevantforpicturesizefalse
\pgftransformxshift{-\Gm@lmargin}
\pgftransformyshift{5.5pt}
\DoMainBackground
\end{pgfpicture}
\end{frame}
}
